package digital.laboratory.platform.inspection.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 审核数据请求参数DTO
 */
@Data
@ApiModel(value = "AuditDataDTO", description = "审核数据请求参数DTO")
public class AuditDataDTO {

    @ApiModelProperty("任务检验数据的编号列表")
    @NotEmpty(message = "未选择审核的数据！")
    private List<String> sampleNoList;

    @ApiModelProperty("操作类型, -1 审核审批不通过 | 1 审核通过 | 2 审批通过 ")
    @Min(value = -1, message = "操作值不匹配！")
    @Max(value = 3, message = "操作值不匹配！")
    private Integer opCode;

}
