package digital.laboratory.platform.inspection.dto;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 重置进样信息位置请求参数
 */
@Data
@ApiModel(value = "ResetSampleInjectorDTO", description = "重置进样信息位置请求参数")
public class ResetSampleInjectorDTO {

    @ApiModelProperty("进样信息的id")
    @NotBlank(message = "参数不全，进样信息的id不能为空！")
    private String id;


    @ApiModelProperty("进样位置信息数组")
    private JSONArray injectorInfo;

    /**
     * 方盘-进样位置信息-1, 临时参数
     *//*
    @ApiModelProperty("方盘-进样位置信息-1, 临时参数")
    @TableField(exist = false)
    private JSONArray injectorInfo1;

    *//**
     * 方盘-进样位置信息-2, 临时参数
     *//*
    @ApiModelProperty("方盘-进样位置信息-2, 临时参数")
    @TableField(exist = false)
    private JSONArray injectorInfo2;

    *//**
     * 方盘-进样位置信息-3, 临时参数
     *//*
    @ApiModelProperty("方盘-进样位置信息-3, 临时参数")
    @TableField(exist = false)
    private JSONArray injectorInfo3;

    *//**
     * 方盘-进样位置信息-4, 临时参数
     *//*
    @ApiModelProperty("方盘-进样位置信息-4, 临时参数")
    @TableField(exist = false)
    private JSONArray injectorInfo4;*/
}
