package digital.laboratory.platform.inspection.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 获取任务数据的DTO类
 */
@Data
@ApiModel(value = "TaskTestDataDTO", description = "获取任务数据的DTO类")
public class TaskTestDataDTO {

    @ApiModelProperty("检验数据id")
    private String sampleDataId;

    @ApiModelProperty("检验数据结果json")
    private String dataResultJson;

    @ApiModelProperty("化合物名称")
    private String compoundName;

    @ApiModelProperty("是否检出，是否检出该物质  1检出 0 未检出")
    private Integer isDetected;

    @ApiModelProperty("溶液编号")
    private String sampleNo;

    @ApiModelProperty("检验id")
    private String testId;

    @ApiModelProperty("检材id")
    private String materialId;

    @ApiModelProperty("检材名称")
    private String sampleName;

    @ApiModelProperty("检材编号")
    private String acceptNo;

    @ApiModelProperty("业务id")
    private String businessId;

    @ApiModelProperty("任务名称")
    private String taskName;

    @ApiModelProperty("业务类型")
    private String businessType;

    @ApiModelProperty("任务数据审核状态")
    private Integer status;

    @ApiModelProperty("对应的检材含这个化合物浓度")
    private Double sampleConcentration;

    @ApiModelProperty("数据生成时间")
    private LocalDateTime createTime;

}
