package digital.laboratory.platform.inspection.entity;
/*
 *@title AssignmentInfo
 *@description  分配信息
 *@author xy
 *@version 1.0
 *@create 2023/12/13 10:50
 */

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@TableName(value = "b_assignmentInfo", autoResultMap = true)
@ApiModel(value = "分配信息", description = "分配信息")
public class AssignmentInfo extends BaseEntity {
    private String id;

    @ApiModelProperty(value = "业务名称")
    private String businessName;

    @ApiModelProperty(value = "业务类型")
    private String businessType;

    @ApiModelProperty(value = "接收者Id")
    private String testUser;
    @ApiModelProperty(value = "分配者Id")
    private String assignUser;

    @ApiModelProperty(value = "业务Id")
    private String businessId;

    @ApiModelProperty(value = "样本ID")
    private String sampleId;

    @ApiModelProperty(value = "样本名称")
    private String sampleName;

    @ApiModelProperty(value = "接收者姓名")
    private String testUserName;

    @ApiModelProperty(value = "分配者姓名")
    private String assignUserName;

    //用来转换type类型的中文
    @TableField(exist = false)
    private String businessTypeName;

}
