package digital.laboratory.platform.inspection.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 样本检验数据的扩展信息
 * @TableName b_test_record_sampledata_expand
 */
@Data
@TableName(value ="b_test_record_sampledata_expand", autoResultMap = true)
public class TestRecordSampleDataExpand extends BaseEntity {
    /**
     * 主键标识
     */
    @TableId(value = "exp_id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 关联的实验数据id(一个实验数据可能关联着多个扩展数据)
     */
    private String testDataId;

    /**
     * 峰面积
     */
    private BigDecimal peakArea;

    /**
     * 是否是基峰, 1 是 | 0 不是
     */
    private Boolean basePeak;

    /**
     * 离子丰度比  | 峰面积之比
     */
    private BigDecimal ionAbundanceRatio;

    /**
     * 离子丰度比相对偏差（%）| 计算离子丰度比 相对偏差 (目标物离子丰度比 - 标准物离子丰度比) / 标准物质离子丰度比 * 100
     */
    private BigDecimal ionAbundanceRatioError;

    /**
     * 离子丰度比偏差是否在误差范围内
     */
    private String ionAbundanceRatioWithinError;

    /**
     * 碎片保留时间，目前该字段仅对nps实验有用，求具体样本保留时间 = 碎片保留时间的平均值
     */
    private BigDecimal fragmentRetTime;

    /**
     * 质荷比(m/z)， nps案件
     */
    private BigDecimal massToChargeRatio;

    /**
     * 定性离子对，生物案件使用
     */
    private String qualitativeIonPair;
}
