package digital.laboratory.platform.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author xy
 * @version 1.0
 * @title TestTemplate  检验模板实体
 * @description
 * @create 2024/1/11 9:44
 */
@TableName("b_test_template")
@ApiModel(value = "模板信息", description = "模板信息")
@Data
public class TestTemplate {
    //仪器设备
    //试剂耗材
    //实验方法
    //仪器使用条件
    private String id;
    private String name;//模板名称
    private boolean nature;//模板性质/公有-私有   0 =私有 1=公有
    private Integer status;//模板状态 0 =停用 1=启用
    private String author;//模板作者
    private Integer useCount;//模板被使用的次数
    private LocalDateTime createDate;//模板创建日期
    private LocalDateTime publishDate;//模板发布日期
    private String introduce;//模板介绍
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<String> testMethods;//模板用到的实验方法
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<String> deviceUseCondition;//仪器使用条件
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<String> reagentConsumables;//使用的试剂耗材
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<String> deviceIdList;//使用的仪器设备

    private String businessType;//模板类型
}