package digital.laboratory.platform.inspection.event;

import lombok.Getter;
import org.springframework.context.ApplicationEvent;

import java.time.Clock;

/**
 * 推送数据到LabsCare 数据平台上的spring 事件
 */
@Getter
public class PushDataToLabsCareEvent extends ApplicationEvent {

    /**
     * 实验id
     */
    private final String testId;

    /**
     * 推送的数据类型， 1 鉴定委托书数据 | 2 鉴定事项确认书数据 |  3 生物检材定性记录报告数据 | 4 普通检材定性记录非红外报告数据
     */
    private final Integer pushType;

    public PushDataToLabsCareEvent(Object source, String testId, Integer pushType) {
        super(source);
        this.testId = testId;
        this.pushType = pushType;
    }

    public PushDataToLabsCareEvent(Object source, Clock clock, String testId, Integer pushType) {
        super(source, clock);
        this.testId = testId;
        this.pushType = pushType;
    }


}
