package digital.laboratory.platform.inspection.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * @author ChenJiangBao
 * @version 1.0
 * @description: 基础查询对象
 * @date 2025/3/17 16:14
 */
@Data
@ApiModel(value = "BaseQuery", description = "基础查询对象")
public class BaseQuery {

    @ApiModelProperty(value = "分页参数，每页多少条, 默认10")
    private Long size = 10L;

    @ApiModelProperty(value = "分页参数， 当前页， 默认1")
    private Long current = 1L;

    @ApiModelProperty(value = "关键字，支持 案件名称查询")
    private String keywords;

    @ApiModelProperty(value = "开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate startDate;

    @ApiModelProperty(value = "结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;
}
