package digital.laboratory.platform.inspection.utils.datafile.nps;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author xy
 * @version 1.0
 * @title NPSDataFileStruct  NPS 数据文件结构
 * @description
 * @create 2024/1/24 10:44
 */
@Data
public class NPSDataFileStruct {
    //Header部份的属性
    private String header_DataFileName;
    private String header_OutputDate;
    private String header_OutputTime;
    //File Information 部份的属性
    private String fi_FileType;
    private String fi_FileGenerated;
    private String fi_FileGeneratedBy;
    private String fi_FileModified;
    private String fi_FileModifiedBy;
    //Sample Information 部份的属性
    private String si_SampleOperatorName;
    private String si_SampleAnalyzed;
    private String si_SampleType;
    private String si_SampleLevel;
    private String si_SampleName;
    private String si_SampleId;
    private String si_SampleDilutionFactor;
    //Original Files 部份的属性
    private String of_DataFile;
    private String of_MethodFile;
    private String of_BatchFile;
    private String of_TuningFile;
    //MS Quantitative Results 部份的属性
    private Integer mqr_Index=0;
    private Integer mqr_DataCount;
    private List<String> mqrDataHeaderList;
    private Map<String, JSONArray> mqrDataMap;
    private List<NPSTestDetailDataStruct> childDataList=new ArrayList<>();
    private int currentSection;//当前节点 的索引号 index

    public void calcMqrIndex(){
        this.mqr_Index=this.mqr_Index+1;
    }

}
