package digital.laboratory.platform.inspection.utils.datafile.nps;

import lombok.Data;

/**
 * @author xy
 * @version 1.0
 * @title NPS详细数据结构
 * @description
 * @create 2024/1/24 11:08
 */
@Data
public class NPSTestDetailDataStruct{
    private String id;
    private String name;
    private String type;
    private String mass;//mz  质荷比
    private double retTime;//保留时间
    private double startTime;
    private double endTime;
    private double area;//峰面积
    private double stdRetTime;
    private double sn;
    private double abundanceRatio;//丰度比，如果是基峰，我们设置为1，丰度比的公式为自己的峰面积/基峰峰面积
    private double abundanceRatio_std;// 标准物质的丰度比
    private double abundanceRatioError;//丰度比偏差，如果是基峰不需要比，公式是 (自己的丰度比-标准品的MZ对应丰度比)/标准品的MZ对应丰度比
    private double errorRange;//误差范围
    private String withinError ;//丰度比偏差是否在误差范围内
    private int isBasePeak;//是否是基峰，0 不是基峰  1 是基峰
    private boolean notIdentified = false; // 标记从文件中读取的数据是不是有not identified, 默认 false 没有

}
