package digital.laboratory.platform.inspection.vo;

import digital.laboratory.platform.common.aop.annotation.DlpFeign;
import digital.laboratory.platform.sys.entity.Drug;
import digital.laboratory.platform.sys.feign.RemoteCommDrugService;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xy
 * @version 1.0
 * @title TestRecordReagent
 * @description 实验中用到的试剂耗材VO
 * @create 2023/12/20 11:02
 */
@Data
@ApiModel(value = "实验中用到的试剂耗材VO", description = "实验中用到的试剂耗材VO")
public class TestRecordReagentVO {

    @ApiModelProperty(value = "主键ID")
    private String id;

    @ApiModelProperty(value = "标准品的成分，关联的毒品清单中的毒品ID")
    private String drugId;

    @ApiModelProperty(value = "试剂耗材或标准物质名称")
    private String reagentConsumableName;

    @ApiModelProperty(value = "类别，表示是试剂、耗材，还是标准物质")
    private String category;

    @ApiModelProperty(value = "型号规格")
    private String specifications;

    @ApiModelProperty(value = "纯度等级，仅适用于试剂，耗材时为空")
    private String purityGrade;

    @ApiModelProperty(value = "标准物质编号，仅当类别为标准物质时设置")
    private String number;

    @ApiModelProperty(value = "排序索引")
    private Integer sortIndex;

    @ApiModelProperty(value = "数据来源")
    private Integer source;

    @ApiModelProperty(value = "关联的毒品实体信息")
    @DlpFeign(feignClient = RemoteCommDrugService.class, methodName = "innerGetById", params = {"drugId"})
    private Drug drug;
}

