# 消费量报表规则

1. 样本编号

2. 污水处理厂名称

3. 所在地（省）

4. 所在地（市）

5. 所在地（区/县）

6. 采样时间

7. 污水厂服务人口(万人)

8. 生活污水占比

9. 流量（万立方米/天）

10. 人均日吸烟（支）注：各省数值不同，可查询实验大数据平台左侧导航栏地区信息

11. 可替宁排泄量（mg/千人天）= 人均日吸烟（支）* 0.14  * 1000 
12. 测算人口（千人）= 可替宁（ng/L） * 流量（万立方米/天） * 10 * 生活污水占比  / 可替宁排泄量（mg/千人天）

   注：将ng/L转化为mg/L，换算率为1000000，10000立方米等于10,000,000L，而1mg等于1000000ng，简单描述为，通过流量乘以污水占比计算出总流量，然后乘以可替宁浓度，再换算为mg，可得出该地区每天的可替宁总质量，然后除以 可替宁排泄量（千人），可大致推算出测算人口



13. | 可替宁（ng/L） | 可待因（ng/L） | MDA（ng/L） | MDMA（ng/L） | 可卡因（ng/L） | 苯甲酰爱康宁（ng/L） | 吗啡（ng/L） | O6-单乙酰吗啡（ng/L） | 甲基苯丙胺（ng/L） | 苯丙胺（ng/L） | 氯胺酮（ng/L） | 去甲氯胺酮（ng/L） | 四氢大麻酸（ng/L） |
      | -------------- | -------------- | ----------- | ------------ | -------------- | -------------------- | ------------ | --------------------- | ------------------ | -------------- | -------------- | ------------------ | ------------------ |
   |                |                |             |              |                |                      |              |                       |                    |                |                |                    |                    |

   以上为实验所得的污水化合物浓度


14. 吗啡负荷量(mg/千人﹒天）= 吗啡（ng/L） * 流量（万立方米/天）* 10 / 测算人口（千人）
    备注：通过检测污水中吗啡的浓度，乘以总流量，得到该地区每天产生的吗啡总质量，再除以测算人口，可大致计算吗啡负荷量(mg/千人﹒天），计算公式如下：

    ![image-20240417101958546](../dlp-drugtesting-biz/assets/image-20240417101958546.png)

15. 可待因负荷量(mg/千人﹒天）= 可待因（ng/L）* 流量（万立方米/天）* 10 / 测算人口（千人）

    备注：通过检测污水中吗啡的浓度，乘以总流量，得到该地区每天产生的吗啡总质量，再除以测算人口，可大致计算吗啡负荷量(mg/千人﹒天）

16. 可待因转化为吗啡负荷量(mg/千人﹒天） = 可待因负荷量(mg/千人﹒天） * 0.065 / (0.3 * 1.05)
    备注：可待因转化为吗啡的比例为6.5%，可待因的排泄率为30%，1.05为可待因与吗啡的分子量比，计算公式如下：

    ![image-20240417101824328](../dlp-drugtesting-biz/assets/image-20240417101824328.png)

17. 医用吗啡负荷量(mg/千人﹒天）= 1  是根据文献取平均值

18. MA/AM = 甲基苯丙胺（ng/L）/ 苯丙胺（ng/L）Excel中红色区域代表MA/AM>20

19. K/NK = 氯胺酮（ng/L）/ 去甲氯胺酮（ng/L） Excel中红色区域代表K/NK>6

20. 人均消耗量(mg/千人﹒天）Heroin = (吗啡负荷量(mg/千人﹒天）- 可待因转化为吗啡负荷量(mg/千人﹒天）- 医用吗啡负荷量(mg/千人﹒天）) * 3.07

    备注：计算海洛因的消费量时要减去可待因转化的吗啡以及医用吗啡

    消费量折算系数如下：

    ![image-20240417102214943](../dlp-drugtesting-biz/assets/image-20240417102214943.png)

21. 人均消耗量(mg/千人﹒天）MA = 甲基苯丙胺（ng/L）或 苯丙胺（ng/L）* 流量（万立方米/天） * 10 * 2.33或46.6  / 测算人口（千人）

    备注：注：AM=0时，冰毒消费量用MA计算。AM≠0时，若MA/AM≦20,冰毒消费量用MA计算,若MA/AM>20,冰毒消费量用AM计算。 AM为苯丙胺（ng/L），MA为甲基苯丙胺，用样本中甲基苯丙胺或苯丙胺的浓度乘以总流量，再换算为mg，得到该地区每天产生的冰毒总量，乘以对应系数，再除以测算人口，得到人均消费量。

22. 人均消耗量(mg/千人﹒天）K = 氯胺酮（ng/L）或去甲氯胺酮（ng/L）   * 流量（万立方米/天） * 10 * 5或26.6 /  测算人口（千人）

    备注:NK=0时，氯胺酮消费量用K计算。NK≠0时，若K/NK≦6,氯胺酮消费量用K计算,若K/NK>6,氯胺酮消费量用NK计算。K为氯胺酮，NK为去甲氯胺酮

23. 人均消耗量(mg/千人﹒天）MDMA = MDMA（ng/L） *   流量（万立方米/天） * 10 * 4.44  /  测算人口（千人）

24. 人均消耗量(mg/千人﹒天）COC = 苯甲酰爱康宁（ng/L） *  流量（万立方米/天） * 10 * 2.33 /  测算人口（千人）

25. 人均消耗量(mg/千人﹒天）THC = 四氢大麻酸（ng/L） *  流量（万立方米/天） * 10 * 152 /  测算人口（千人）

26. 总消耗量：对应化合物的人均消费量 * 当地测算人口

27. （化合物）人均消耗量：各区县总消耗量之和 / 各区县测算人口之和

28. 人均总消耗量：所有化合物人均消费量之和

